Slot

A slot is a time slot on a provider's schedule that can be booked by a patient.

The slot model

Properties

  • Name
    generated_from_type
    Type
    string
    Description

    Whether this slot was generated from a provider's availability rule or availability override.

    Possible values:
    rule
    override
  • Name
    generated_from
    Type
    string
    Description

    Which rule or override this availability was generated from.

  • Name
    host
    Type
    string
    Description

    Host of the slot.

  • Name
    appointment_type
    Type
    string
    Description

    Type of appointment this slot is for.

  • Name
    appointment_name
    Type
    string
    Description

    Name of the appointment this slot is for.

  • Name
    start_time
    Type
    string
    Description

    Start time of slot in Unix epoch time (milliseconds).

  • Name
    end_time
    Type
    string
    Description

    End time of slot in Unix epoch time (milliseconds).

Response

{
    "generated_from_type": "rule",
    "generated_from": "rule_Z1zXZKvqrpwxbznuW6lJ",
    "host": "user_Z1zXZKvqrpwxbznuW6lJ",
    "appointment_type": "aptp_3XxtAULYUrX7GVsTKePy",
    "appointment_name": "Initial Consultation",
    "start_time": "2024-04-10T13:20:21.724Z",
    "end_time": "2024-04-10T13:40:21.724Z"
}


GET/v2/slots

List all slots

Returns a list of all bookable slots for a patient and appointment type.

Required attributes

  • Name
    appointment_type
    Type
    string
    Description

    Type of appointment to find slots for.

  • Name
    search_from
    Type
    date-time
    Description

    Timestamp (in ISO 8601 format) to search from.

  • Name
    search_until
    Type
    date-time
    Description

    Timestamp (in ISO 8601 format) to search until.

Optional attributes

  • Name
    patient
    Type
    string
    Description

    Patient to find slots for.

  • Name
    providers
    Type
    array of strings
    Description

    Providers to find slots for.

Request

GET
/v2/slots
curl "https://{{base_subdomain}}.avonhealth.com/v2/slots" \
  -H "Authorization: Bearer {{token}}" \
  -H "x-jwt: {{jwt}}"

Response

    {
      "object": "list",
      "data": [
        {
            "generated_from_type": "rule",
            "generated_from": "rule_Z1zXZKvqrpwxbznuW6lJ",
            "host": "user_Z1zXZKvqrpwxbznuW6lJ",
            "appointment_type": "aptp_3XxtAULYUrX7GVsTKePy",
            "appointment_name": "Initial Consultation",
            "start_time": "2024-04-10T13:20:21.724Z",
            "end_time": "2024-04-10T13:40:21.724Z"
        },
      ]
    }